import theater.*;


/**
 * NewPropHandler zum Erzeugen und Platzieren neuer Damen
 *
 * @author Dietrich Boles (Universitaet Oldenburg)
 * @version 1.0 (07.10.2009)
 *
 */
public class NewDame extends NewPropHandler {
    public Prop newProp() {
        MyPerformance perf = (MyPerformance) Performance.getPerformance();

        // während eine Simulation läuft, kann die Aktion nicht ausgeführt werden
        if (perf.isRunning()) {
            return null;
        }

        return new Dame();
    }
}
